glib-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for GList and GSList. System.Object System.IDisposable System.Collections.ICollection System.Collections.IEnumerable GLib.IWrapper System.ICloneable
- Field
  System.Type The of the elements of the list. subclasses are handled automatically, so it is not necessary to set this field for lists of .
- Method
  System.Object Clones the list. a copy of the list as an . Produces a copy of the list.
- Method
  System.Void Disposes the list. If is set, this frees the native list.
- Method
  System.Void `` `` Copies the list to a typed array. an to copy to. the index to start copying at in .
- Method
  System.Void `` Prepends an element to the front of the list. an object of type This is faster than .
- Method
  System.Void `` Appends an element to the end of the list. an object of type
- Method
  System.Void `` Appends an element to the end of the list. an object of type This is a convenience overload to append a to the end of a list.
- Method
  System.Void Disposes the resources associated with the object.
- Property
  System.Object Synchronization root. always Always returns since this type is never synchronized.
- Property
  System.Boolean Indicates if the list is synchronized. always Always returns false.
- Property
  System.Int32 The number of elements in the list. the number of elements in the list as an
- Property
  System.IntPtr A raw list reference for marshaling situations. an object of type
- Property
  System.Boolean Indicates if the native handle is owned by the Managed list class. an object of type an object of type Identifies the list as one that needs to be freed. Only set this to true if you want the object to release the associated native list when it is disposed.
- Method
  System.Collections.IEnumerator Gets an to enumerate the list elements. a
- Method
  System.Void `` Disposes the list. a If the property is set, the underlying native list is freed.
- Property
  System.Object `` Indexer for list members. a representing the 0 indexed offset to the member. the list member at as an .
- Method
  System.Void Empties the list. Empties, and frees the list, as well as all of its children